//=============================================================================
// TO_NoRecoil.
//=============================================================================
// No recoil on all weapons.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/12/2002
//=============================================================================

class TO_NoRecoil expands Mutator;

function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
	if (Other.IsA('s_weapon')) {
		s_weapon(Other).VRecoil = 0.0;
		s_weapon(Other).HRecoil = 0.0;
		s_weapon(Other).RecoilMultiplier = 0;
		s_weapon(Other).RecoilVal = 0;
		s_weapon(Other).disable('Recoil');
	}

	return true;
}

defaultproperties
{
}
