//=============================================================================
// TO_PaintBallSpawnNotify.
//=============================================================================
// Used to replace the decals with paintballs.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 07/12/2002
//=============================================================================

class TO_PaintBallSpawnNotify expands SpawnNotify;

event Actor SpawnNotification( Actor A ) {
	local TO_SP_PaintSlashImpact impact;
	local Texture	PaintBallHit;
	if (A.IsA('TO_BulletImpact') && !A.IsA('TO_SP_PaintSlashImpact')) {
		impact = Spawn(class'TO_SP_PaintSlashImpact',,,A.location, a.rotation);
		A.destroy();
		return impact;
	}
	else if (A.IsA('s_weapon')) {
		s_weapon(A).MFTexture = none;
		s_weapon(A).bDrawMuzzleFlash = false;
		s_weapon(A).bUseShellCase = false;
		s_weapon(A).bShowWeaponLight = false;
		s_weapon(A).MuzzleFlashMesh = none;
		return A;
	}
	else if (A.IsA('UT_Blood2')) {
		PaintBallHit = class'TO_SinglePlayer.TO_PaintBall'.static.GetRandomTexture();
		A.Texture = PaintBallHit;
		A.MultiSkins[0] = PaintBallHit;
		A.MultiSkins[1] = none;
		A.MultiSkins[2] = none;
		A.MultiSkins[3] = none;
		A.MultiSkins[4] = none;
		A.MultiSkins[5] = none;
		A.MultiSkins[6] = none;
		A.MultiSkins[7] = none;
		A.Style = STY_Modulated;
		return A;
	}
	else if (A.IsA('UTBloodPool') || A.IsA('BloodSplat') || A.IsA('TO_BloodTrails') || A.IsA('Blood2')
		|| A.IsA('BloodPool') || A.IsA('UT_BloodDrop') || A.IsA('UT_BloodPuff') ) { // || A.IsA('UT_Blood2')
		A.destroy();
	}
	else
		return A;
}

defaultproperties
{
}
