//=============================================================================
// TO_SPHCB_NoHostageRescueAllowed
//=============================================================================
// Special mission behaviors.
// Usage of this disallows the rescue or death of even only one hostage.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SPHCB_NoHostageRescueAllowed expands TO_SP_HardCodedBehaviors;

var	TO_SinglePlayerGame		game;

function Initialise(TO_SinglePlayerGame myGame) {
	game = myGame;
	game.bNoHostageRescueAllowed = true;		// Signal the game to fail the player when one hostage is rescued
	game.bNoHostageDeathsAllowed = true;		// Signal the game to fail the mission if one of the hostages die
}

defaultproperties
{
}
