//=============================================================================
// TO_SP_C4PlaceHolder.
//=============================================================================
// This actor specifies where the C4 will be placed when the round begins.
// If bC4Falling is set to True, the C4 will fall to the ground.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SP_C4PlaceHolder expands Keypoint;

var()	bool	bC4Falling;

function BeginPlay () {
	SpawnC4();
}

auto state() IsResetableActor {

}

function SpawnC4() {
	//local s_C4	C4;
	local TO_SP_C4	C4;

	C4 = spawn(class'TO_SP_C4');
	//C4 = spawn(class's_SWAT.s_C4');

	if (C4 != None)
		if (bC4Falling)
			C4.SetPhysics(PHYS_Falling);
}

defaultproperties
{
     InitialState=IsResetableActor
}
