//=============================================================================
// TO_SP_HCBTrigger.
//=============================================================================
// Allows a HCB to catch a trigger message.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 30/11/2002
//=============================================================================

class TO_SP_HCBTrigger expands Actor;

var	int							messageNumber;
var TO_SP_HardCodedBehaviors	HCB;

function PostBeginPlay() {
	HCB = TO_SinglePlayerGame(Level.Game).hardCodedBehaviors;
	if (HCB == none)
		assert(false);
}

function Trigger( actor Other, pawn EventInstigator ) {
	switch (messageNumber)
	{
	case 1: HCB.TriggerMessage1(Other, EventInstigator); break;
	case 2: HCB.TriggerMessage2(Other, EventInstigator); break;
	case 3: HCB.TriggerMessage3(Other, EventInstigator); break;
	case 4: HCB.TriggerMessage4(Other, EventInstigator); break;
	case 5: HCB.TriggerMessage5(Other, EventInstigator); break;
	}
}

defaultproperties
{
     bHidden=True
}
