//=============================================================================
// TO_SP_UWindowLabelControl.
//=============================================================================
// A UWindow label that can take any color (not just black as with the original
// one)
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SP_UWindowLabelControl extends UWindowLabelControl;

function Paint(Canvas C, float X, float Y)
{
	if(Text != "")
	{
		C.DrawColor = TextColor;
		C.Font = Root.Fonts[Font];
		ClipText(C, TextX, TextY, Text);
		C.DrawColor = TextColor;
	}
}

simulated function Click(float X, float Y) 
{
	Notify(DE_Click);
}

defaultproperties
{
}
