//=============================================================================
// TO_StartSinglePlayerCreditsCW.
//=============================================================================
// The client window of the Credits tab for the Start Single Player dialog.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 17/12/2002
//=============================================================================

class TO_StartSinglePlayerCreditsCW expands UMenuPageWindow;

var bool Initialized;

var float	ControlOffset;

var localized string	CreditsLine[24];
var TO_SP_UWindowLabelControl CreditLabels[24];


///////////////////////////////////////
// Created
///////////////////////////////////////

function Created()
{
	local int i, j;

	Super(UMenuDialogClientWindow).Created();

	DesiredWidth = 270;
	DesiredHeight = 100;

	ControlOffset = 15;

	for (i = 0; i < 24; i++) {
		if (CreditsLine[i] == "")
			continue;

		if (CreditsLine[i] == "<<END")
			break;

		CreditLabels[i] = TO_SP_UWindowLabelControl(CreateControl(class'TO_SP_UWindowLabelControl', 0, ControlOffset, DesiredWidth, 32));
		CreditLabels[i].Text = CreditsLine[i];
		CreditLabels[i].SetFont(F_Normal);
		CreditLabels[i].Align = TA_Center;
		
		ControlOffset += 12;
	}

	ControlOffset += 15;
}

function AfterCreate()
{
	Super.AfterCreate();
	DesiredWidth = 270;
	DesiredHeight = ControlOffset;

	Initialized = true;
}


///////////////////////////////////////
// defaultproperties
///////////////////////////////////////

defaultproperties
{
     CreditsLine(0)="Tactical Ops: Single Player v. 1.1"
     CreditsLine(1)=" "
     CreditsLine(2)="-= CREDITS =-"
     CreditsLine(3)=" "
     CreditsLine(4)="EMH_Mark3 - Code"
     CreditsLine(5)="ScHlAuChi - Missions"
     CreditsLine(6)="Tomato_Paste - Story"
     CreditsLine(7)="Raptor-- - Beta Testing"
     CreditsLine(8)="Guybrush - Beta Testing"
     CreditsLine(9)=" "
     CreditsLine(10)="- Special Thanks To -"
     CreditsLine(11)="RV52 - Beta Testing"
     CreditsLine(12)="Nassau - Allowed modifications to Omega"
     CreditsLine(13)="And the entire TO Team and TO community :)"
     CreditsLine(14)="<<END"
}
